/************************************************************
 *                                                          *
 * snd_gm.h                                                 *
 *                                                          *
 *----------------------------------------------------------*
 * Routines to play sound files via SoundBlaster DSP.       *
 *----------------------------------------------------------*
 * Copyright (c) 1994,1997 Ken Graham, All Rights Reserved  *
 *                                                          *
 * Redistribution and use in source and binary forms,       *
 * without modification, are permitted provided that the    *
 * following conditions are met:                            *
 * 1. Redistributions of source code must retain the above  *
 *    copyright notice, this list of conditions and the     *
 *    following disclaimer.                                 *
 * 2. Redistributions in binary form must reproduce the     *
 *    above copyright notice, this list of conditions and   *
 *    the following disclaimer in the documentation and/or  *
 *    other materials provided with the distribution.       *
 *                                                          *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY  *
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        *
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY    *
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.     *
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,   *
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR             *
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,    *
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF     *
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER *
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN        *
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING           *
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE   *
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY *
 * OF SUCH DAMAGE.                                          *
 *                                                          *
 ************************************************************
 *
 * $Author:   kag  $
 * $Revision:   1.0  $
 * $Date:   02 May 1997 19:19:04  $
 *
 * History:
 *
 * $Log:   D:/snd32/midi2/archives/snd_gm.h_v  $
   
      Rev 1.0   02 May 1997 19:19:04   kag
   Initial revision.
 * 
 *==========================================================*/


#if !defined(__SND_GM_H__)
#define __SND_GM_H__

char *gm_inst[] = {
    "Acoustic Grand Piano",
    "Bright Acoustic Piano",
    "Electric Grand Piano",
    "Honky-Tonk Piano",
    "Rhodes Piano",
    "Chorused Piano",
    "Harpsichord",
    "Clavinet",
    "Celesta",
    "Glockenspiel",
    "Music Box",
    "Vibraphone",
    "Marimba",
    "Xylophone",
    "Tubular Bells",
    "Dulcimer",
    "Hammond Organ",
    "Percussive Organ",
    "Rock Organ",
    "Church Organ",
    "Reed Organ",
    "Accordion",
    "Harmonica",
    "Tango Accordion",
    "Acoustic Nylon Guitar",
    "Acoustic Steel Guitar",
    "Electric Jazz Guitar",
    "Electric Clean Guitar",
    "Electric Muted Guitar",
    "Overdriven Guitar",
    "Distortion Guitar",
    "Guitar Harmonics",
    "Acoustic Bass",
    "Electric Bass Fingered",
    "Electric Bass Picked",
    "Fretless Bass",
    "Slap Bass 1",
    "Slap Bass 2",
    "Synth Bass 1",
    "Synth Bass 2",
    "Violin",
    "Viola",
    "Cello",
    "Contrabass",
    "Tremolo Strings",
    "Pizzicato Strings",
    "Orchestral Harp",
    "Timpani",
    "String Ensemble 1",
    "String Ensemble 2",
    "Synth Strings 1",
    "Synth Strings 2",
    "Choir Aahs",
    "Voice oohs",
    "Synth Voice",
    "Orchestra Hit",
    "Trumpet",
    "Trombone",
    "Tuba",
    "Muted Trumpet",
    "French Horn",
    "Brass Section",
    "Synth Brass 1",
    "Synth Brass 2",
    "Soprano Sax",
    "Alto Sax",
    "Tenor Sax",
    "Baritone Sax",
    "Oboe",
    "English Horn",
    "Bassoon",
    "Clarinet",
    "Piccolo",
    "Flute",
    "Recorder",
    "Pan Flute",
    "Bottle Blow",
    "Shakuhashi",
    "Whistle",
    "Ocarina",
    "Synth lead 1 - Sq wave lead",
    "Synth lead 2 - Sawtooth Wave",
    "Synth lead 3 - Caliope lead",
    "Synth lead 4 - Chiff lead",
    "Synth lead 5 - Charang",
    "Synth lead 6 - Solo Synth Voice",
    "Synth lead 7 - Bright Saw Wave",
    "Synth lead 8 - Brass and Lead",
    "Synth pad 1 - Fantasia Pad",
    "Synth pad 2 - Warm Pad",
    "Synth pad 3 - Poly Synth Pad",
    "Synth pad 4 - Space Voice Pad",
    "Synth pad 5 - Bowed Glass Pad",
    "Synth pad 6 - Metal Pad",
    "Synth pad 7 - Halo Pad",
    "Synth pad 8 - Sweep Pad",
    "Synth SFX 1 - Ice Rain",
    "Synth SFX 2 - Soundtrack",
    "Synth SFX 3 - Crystal",
    "Synth SFX 4 - Athmosphere",
    "Synth SFX 5 - Brightness",
    "Synth SFX 6 - Goblin",
    "Synth SFX 7 - Echo drops",
    "Synth SFX 8 - Star Theme",
    "Sitar",
    "Banjo",
    "Shamisen",
    "Koto",
    "Kalimba",
    "Bagpipe",
    "Fiddle",
    "Shanai",
    "Tinkle Bell",
    "Agogo",
    "Steel Drums",
    "Woodblock",
    "Taiko Drum",
    "Melodic Tom",
    "Synth Drum",
    "Reverse Cymbal",
    "Guitar Fret Noise",
    "Breath Noise",
    "Seashore",
    "Bird Tweet",
    "Telephone Ring",
    "Helicopter",
    "Applause",
    "Gunshot"
};

#endif
